import { AuthCredentials } from "./authEntity";

interface AuthStore {
  isLogedIn: boolean,
  isLoading: boolean,
  isFailed: boolean,
  authenticate(code: string): Promise<AuthCredentials | void>,
  signOut(): Promise<void>,
  init(): void;
}

export type { AuthStore };
